const webpack = require('webpack');
const getBaseConfig = require('./webpack.base');

module.exports = (config = {}) => {
  const baseConfig = getBaseConfig('development', config);

  baseConfig.devtool('cheap-module-source-map');

  baseConfig
    .plugin('HotModuleReplacementPlugin')
    .use(webpack.HotModuleReplacementPlugin);

  return baseConfig;
};
